%global modulename lockfile

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-lockfile
Version:        1.0.4
Release:        1%{?dist}
Summary:        A very polite lock file utility, which endeavors to not litter, and to wait patiently for others.

License:        ISC
URL:            https://github.com/npm/lockfile#readme
Source0:        https://registry.npmjs.org/lockfile/-/lockfile-1.0.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(signal-exit) >= 3.0.2 with npmlib(signal-exit) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A very polite lock file utility, which endeavors to not litter, and to wait patiently for others.

%package 1.0.4
Summary:        A very polite lock file utility, which endeavors to not litter, and to wait patiently for others.


%description 1.0.4
A very polite lock file utility, which endeavors to not litter, and to wait patiently for others.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr gen-changelog.sh %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lockfile.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr speedtest.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%doc sockets.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.4
%doc CHANGELOG.md
%doc README.md
%doc sockets.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.0.4-1
- Package automatically generated by npm2srpm
